Get actions
Query actions that match the specified filters.
API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.
In: header
Query Parameters
List of account addresses to query. Provide addresses in hex, base64, or base64url form.
Find actions by transaction hash.
Find actions by message hash.
Find actions by action_id.
Find actions by trace_id.
Query actions for traces completed in the masterchain block with the specified sequence number.
int32Query actions for traces with trace_end_utime >= start_utime.
int320 <= valueQuery actions for traces with trace_end_utime <= end_utime.
int320 <= valueQuery actions for traces with trace_end_lt >= start_lt.
int640 <= valueQuery actions for traces with trace_end_lt <= end_lt.
int640 <= valueFilter actions by type.
Exclude the specified action types.
List supported action types.
Include the accounts array for each action in the response.
falseInclude the transactions_full array with detailed transaction data for each action in the response.
falseLimit the number of rows to return. Use with offset to batch requests.
int321 <= value <= 100010Skip the first N rows. Use with limit to batch requests.
int320 <= value0Sort actions by lt.
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v3/actions"{ "actions": [ { "accounts": [ "string" ], "action_id": "string", "details": null, "end_lt": "0", "end_utime": 0, "finality": 0, "start_lt": "0", "start_utime": 0, "success": true, "trace_end_lt": "0", "trace_end_utime": 0, "trace_external_hash": "string", "trace_external_hash_norm": "string", "trace_id": "string", "trace_mc_seqno_end": 0, "transactions": [ "string" ], "transactions_full": [ { "account": "string", "account_state_after": { "account_status": "string", "balance": "string", "code_boc": "string", "code_hash": "string", "data_boc": "string", "data_hash": "string", "extra_currencies": { "property1": "string", "property2": "string" }, "frozen_hash": "string", "hash": "string" }, "account_state_before": { "account_status": "string", "balance": "string", "code_boc": "string", "code_hash": "string", "data_boc": "string", "data_hash": "string", "extra_currencies": { "property1": "string", "property2": "string" }, "frozen_hash": "string", "hash": "string" }, "block_ref": { "seqno": 0, "shard": "0", "workchain": 0 }, "description": { "aborted": true, "action": { "action_list_hash": "string", "msgs_created": 0, "no_funds": true, "result_arg": 0, "result_code": 0, "skipped_actions": 0, "spec_actions": 0, "status_change": "string", "success": true, "tot_actions": 0, "tot_msg_size": { "bits": "0", "cells": "0" }, "total_action_fees": "0", "total_fwd_fees": "0", "valid": true }, "bounce": { "fwd_fees": "0", "msg_fees": "0", "msg_size": { "bits": "0", "cells": "0" }, "req_fwd_fees": "0", "type": "string" }, "compute_ph": { "account_activated": true, "exit_arg": 0, "exit_code": 0, "gas_credit": "0", "gas_fees": "0", "gas_limit": "0", "gas_used": "0", "mode": 0, "msg_state_used": true, "reason": "string", "skipped": true, "success": true, "vm_final_state_hash": "string", "vm_init_state_hash": "string", "vm_steps": 0 }, "credit_first": true, "credit_ph": { "credit": "0", "credit_extra_currencies": { "property1": "string", "property2": "string" }, "due_fees_collected": "0" }, "destroyed": true, "installed": true, "is_tock": true, "split_info": { "acc_split_depth": 0, "cur_shard_pfx_len": 0, "sibling_addr": "string", "this_addr": "string" }, "storage_ph": { "status_change": "string", "storage_fees_collected": "0", "storage_fees_due": "0" }, "type": "string" }, "emulated": true, "end_status": "string", "finality": 0, "hash": "string", "in_msg": { "bounce": true, "bounced": true, "created_at": "0", "created_lt": "0", "decoded_opcode": "string", "destination": "string", "extra_flags": "string", "fwd_fee": "0", "hash": "string", "hash_norm": "string", "ihr_disabled": true, "ihr_fee": "0", "import_fee": "0", "in_msg_tx_hash": "string", "init_state": { "body": "string", "decoded": {}, "hash": "string" }, "message_content": { "body": "string", "decoded": {}, "hash": "string" }, "opcode": 0, "out_msg_tx_hash": "string", "source": "string", "value": "0", "value_extra_currencies": { "property1": "string", "property2": "string" } }, "lt": "0", "mc_block_seqno": 0, "now": 0, "orig_status": "string", "out_msgs": [ { "bounce": true, "bounced": true, "created_at": "0", "created_lt": "0", "decoded_opcode": "string", "destination": "string", "extra_flags": "string", "fwd_fee": "0", "hash": "string", "hash_norm": "string", "ihr_disabled": true, "ihr_fee": "0", "import_fee": "0", "in_msg_tx_hash": "string", "init_state": { "body": "string", "decoded": {}, "hash": "string" }, "message_content": { "body": "string", "decoded": {}, "hash": "string" }, "opcode": 0, "out_msg_tx_hash": "string", "source": "string", "value": "0", "value_extra_currencies": { "property1": "string", "property2": "string" } } ], "prev_trans_hash": "string", "prev_trans_lt": "0", "total_fees": "0", "total_fees_extra_currencies": { "property1": "string", "property2": "string" }, "trace_external_hash": "string", "trace_id": "string" } ], "type": "string" } ], "address_book": { "property1": { "domain": "string", "interfaces": [ "string" ], "user_friendly": "string" }, "property2": { "domain": "string", "interfaces": [ "string" ], "user_friendly": "string" } }, "metadata": { "property1": { "is_indexed": true, "token_info": [ { "description": "string", "extra": {}, "image": "string", "is_nsfw": true, "is_scam": true, "name": "string", "nft_index": "string", "symbol": "string", "type": "string", "valid": true } ] }, "property2": { "is_indexed": true, "token_info": [ { "description": "string", "extra": {}, "image": "string", "is_nsfw": true, "is_scam": true, "name": "string", "nft_index": "string", "symbol": "string", "type": "string", "valid": true } ] } }}